#58824 closed enhancement (fixed)

libLASi, graphviz: update from libLASi 1.1.1 to 1.1.3 adds hundreds of new dependencies

Reported by: lhaeger (Lothar Haeger) Owned by: Takeshi Enomoto <takeshi@…>
Priority: Normal Milestone:
Component: ports Version:
Keywords: Cc: tenomoto (Takeshi Enomoto), ryandesign (Ryan Schmidt)
Port: graphviz libLASi

Description

I wonder if it is really required for libLASi to have inkscape added as a dependeny. Seems like a pretty drastic change for such a small build update when major.minor stay the same.

Since one of my installed ports (youtube-dl)indirectly depends on libLASi and another intermediate dependency further up the chain (graphviz) bumped it's rev - seemingly only to force an update with the new version of libLASi - I now got 314 new recursive dependencies installed, many of them quite heavy on the build side. The port I actually requested did not change at all, neither graphviz (except for the rev bump), which triggered the bulk update. Any stats on how many people installed a port depending on libLASi and will see that same effect soon? If possible reconsider the inkscape dependency and the graphviz rev bump.

Change History (3)

comment:1 Changed 14 months ago by mf2k (Frank Schima)

Port: libLASi, graphvizgraphviz libLASi
Type: requestenhancement

Note that a "request" ticket type is only for requesting a new port.

comment:2 Changed 14 months ago by tenomoto (Takeshi Enomoto)

Sorry for the mess. inkscape is used to convert eps to png. I'll remove the dependency to inkscape.

comment:3 Changed 14 months ago by Takeshi Enomoto <takeshi@…>

Owner: set to Takeshi Enomoto <takeshi@…>
Resolution: fixed
Status: newclosed

In 862e4387600730eca57e4531d411d162558e9f99/macports-ports (master):

libLASi: removed dependency to inkscape to avoid circular dependecy

Closes: #58824

Note: See TracTickets for help on using tickets.